ProjectImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: ProjectImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class ProjectImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.ProjectImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`

public class ProjectImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Project project)`
  `ProjectImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Project project, boolean isExistingProject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkExists()`
  Throw an exception if the project does not exist
  `boolean`
  `equals(Object obj)`
  `String`
  `getCode()`
  `String`
  `getDescription()`
  `Long`
  `getId()`
  `String`
  `getPermId()`
  `ch.systemsx.cisd.openbis.generic.shared.basic.dto.Project`
  `getProject()`
  `String`
  `getProjectIdentifier()`
  `String`
  `getSpaceCode()`
  `int`
  `hashCode()`
  `boolean`
  `isExistingProject()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProjectImmutable

    public ProjectImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Project project)

  - ### ProjectImmutable

    public ProjectImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Project project, boolean isExistingProject)

- ## Method Details

  - ### getId

    public Long getId()

  - ### getPermId

    public String getPermId()
    Specified by:
      `getPermId` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`

  - ### getSpaceCode

    public String getSpaceCode()
    Specified by:
      `getSpaceCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`

  - ### getCode

    public String getCode()
    Specified by:
      `getCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`

  - ### getProjectIdentifier

    public String getProjectIdentifier()
    Specified by:
      `getProjectIdentifier` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`

  - ### isExistingProject

    public boolean isExistingProject()
    Specified by:
      `isExistingProject` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`

  - ### checkExists

    protected void checkExists()
    Throw an exception if the project does not exist

  - ### getProject

    public ch.systemsx.cisd.openbis.generic.shared.basic.dto.Project getProject()

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`